=== debian/changelog ===
com.deepin.lianliankan (1.0.8-1) unstable; urgency=medium

  * update

 -- Packages <deepin@deepin.com>  Thu, 13 Jan 2022 16:35:49 +0800

com.deepin.lianliankan (1.0) unstable; urgency=medium

  * Initial release the first version

 -- linxun <linxun@uniontech.com> Wed, 11 Aug 2021 11:23:48 +0800
