=== debian/changelog ===
com.deepin.lianliankan (1.0.11-1) unstable; urgency=medium

  * update

 -- Packages <deepin@deepin.com>  Thu, 17 Nov 2022 10:06:26 +0800
