=== debian/changelog ===
com.deepin.lianliankan (1.0.12) unstable; urgency=medium

  * New version 1.0.12

 -- fengli <fengli@uniontech.com> Thu, 5 Jan 2023 13:42:50 +0800

com.deepin.lianliankan (1.0.9) unstable; urgency=medium

  * Initial release the first version

 -- linxun <linxun@uniontech.com> Wed, 11 Aug 2021 11:23:48 +0800
