## com.deepin.lianliankan 6.0.3

=== debian/changelog ===
com.deepin.lianliankan (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- Wang Yu <wangyu@uniontch.com>  Sat, 08 Feb 2025 15:13:59 +0800

com.deepin.lianliankan (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- Wang Yu <wangyu@uniontch.com>  Sat, 08 Feb 2025 14:16:42 +0800

com.deepin.lianliankan (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- xiepengfei <xiepengfei@uniontech.com> Mon, 20 Jan 2025 11:42:27 +0800
