=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,11 @@
 # Find the library
 include(FindPkgConfig)
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(Qt5 COMPONENTS Multimedia REQUIRED)
-pkg_search_module(DtkWidget REQUIRED dtkwidget)
+find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia REQUIRED)
+find_package(Dtk${DTK_VERSION}Core REQUIRED)
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
 
 #lupdate start
 set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
@@ -45,25 +45,24 @@
 
 #源文件、头文件和资源文件
 include_directories(${PROJECT_SOURCE_DIR})
-include_directories(${DtkWidget_INCLUDE_DIRS})
-include_directories(${DtkCore_INCLUDE_DIRS})
-include_directories(${DtkGui_INCLUDE_DIRS})
 file(GLOB_RECURSE c_files RELATIVE ${PROJECT_SOURCE_DIR} source/*.cpp source/*.c ../main.cpp)
 file(GLOB_RECURSE h_files RELATIVE ${PROJECT_SOURCE_DIR} source/*.h *.h)
-file(GLOB_RECURSE res_files RELATIVE ${PROJECT_SOURCE_DIR} *.qrc)
 
 #添加资源文件
-QT5_ADD_RESOURCES(QRC_FILES ${res_files})
+file(GLOB_RECURSE QRC_SOURCE_FILES ./*.qrc)
+qt_add_resources(QRC_FILES ${QRC_SOURCE_FILES})
 
 #生成可执行程序
 add_executable(${EXE_NAME} ${c_files} ${h_files} ${QRC_FILES})
 
 
-target_include_directories(${EXE_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
+target_include_directories(${EXE_NAME} PUBLIC ${OBJECT_BINARY_DIR})
 target_link_libraries(${EXE_NAME}
-    ${DtkWidget_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    Qt5::Multimedia
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Multimedia
 )
 
 # Install files
