=== debian/changelog ===
com.deepin.lianliankan (6.0.5) unstable; urgency=medium

  * chore: New version 6.0.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 17:43:05 +0800

com.deepin.lianliankan (6.0.4) unstable; urgency=medium

  * chore: New version 6.0.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:02:31 +0800
