=== debian/changelog ===
com.deepin.lianliankan (6.0.9) unstable; urgency=medium

  * Update version to 6.0.9. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 17 Jul 2025 20:43:53 +0800

com.deepin.lianliankan (6.0.8) unstable; urgency=medium

  * Update version to 6.0.8.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 10 Jul 2025 20:51:06 +0800

com.deepin.lianliankan (6.0.7) unstable; urgency=medium

  * update version  to 6.0.7. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 03 Jul 2025 15:09:33 +0800

com.deepin.lianliankan (6.0.6) unstable; urgency=medium

  * chore: New version 6.0.6.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 19:21:51 +0800
