=== debian/control ===
Source: com.deepin.lianliankan
Section: utils
Priority: optional
Maintainer: Packages <deepin@deepin.com>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qt6-base-dev, qtchooser (>= 55-gc9562a1-1~),qmake6, libdtk6widget-dev, qt6-tools-dev-tools, qt6-svg-dev, qt6-tools-dev,libgtest-dev, libgmock-dev, qt6-multimedia-dev
Standards-Version: 4.1.3

Package: com.deepin.lianliankan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Lianliankan is a puzzle game.
 Lianliankan is an easy-to-play puzzle game with cute interface and countdown timer.
