## com.deepin.lianliankan 6.0.11

=== debian/changelog ===
com.deepin.lianliankan (6.0.11) unstable; urgency=medium

  * feat: Update translations for Lao locale (#37)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:24:12 +0800

com.deepin.lianliankan (6.0.10) unstable; urgency=medium

  * Update version to 6.0.10.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 16:28:16 +0800
